Impulse wont autopatch past 1.24


#1

I bought the Tribe expansion pack, and I just noticed after several buggy crashes that the autopatcher hasn’t updated me past 1.24.

I bought the game off Impulse, and I even tried uninstalling and reinstalling it with no luck.


#2

Damn. I’ll make sure impulse has the latest version